Index: trunk/abdev/BasicCompiler_Common/Class.cpp
===================================================================
--- trunk/abdev/BasicCompiler_Common/Class.cpp	(revision 147)
+++ trunk/abdev/BasicCompiler_Common/Class.cpp	(revision 159)
@@ -7,5 +7,5 @@
 #endif
 
-CDBClass *pobj_DBClass;
+Classes *pobj_DBClass;
 
 const CClass *pobj_CompilingClass;
@@ -588,5 +588,5 @@
 
 
-int CDBClass::hash(const char *name) const{
+int Classes::hash(const char *name) const{
 	int key;
 
@@ -598,5 +598,5 @@
 }
 
-void CDBClass::DestroyClass(CClass *pobj_c){
+void Classes::DestroyClass(CClass *pobj_c){
 	if(pobj_c->pobj_NextClass){
 		DestroyClass(pobj_c->pobj_NextClass);
@@ -606,5 +606,5 @@
 }
 
-CDBClass::CDBClass():
+Classes::Classes():
 	pStringClass( NULL ),
 	pObjectClass( NULL ),
@@ -617,5 +617,5 @@
 	memset( pobj_ClassHash, 0, MAX_CLASS_HASH * sizeof(CClass *) );
 }
-CDBClass::~CDBClass(){
+Classes::~Classes(){
 	int i;
 	for(i=0;i<MAX_CLASS_HASH;i++){
@@ -626,5 +626,5 @@
 }
 
-void CDBClass::ActionVtblSchedule(LONG_PTR ImageBase, LONG_PTR MemPos_CodeSection){
+void Classes::ActionVtblSchedule(LONG_PTR ImageBase, LONG_PTR MemPos_CodeSection){
 	int i;
 	for(i=0;i<MAX_CLASS_HASH;i++){
@@ -642,5 +642,5 @@
 }
 
-const CClass *CDBClass::Find( const NamespaceScopes &namespaceScopes, const string &name ) const
+const CClass *Classes::Find( const NamespaceScopes &namespaceScopes, const string &name ) const
 {
 	int key;
@@ -669,7 +669,7 @@
 
 	// TypeDefも見る
-	int index = Smoothie::Meta::typeDefs.GetIndex( namespaceScopes, name );
+	int index = Smoothie::meta.typeDefs.GetIndex( namespaceScopes, name );
 	if( index != -1 ){
-		Type type = Smoothie::Meta::typeDefs[index].GetBaseType();
+		Type type = Smoothie::meta.typeDefs[index].GetBaseType();
 		if( type.IsObject() ){
 			return &type.GetClass();
@@ -679,5 +679,5 @@
 	return NULL;
 }
-const CClass *CDBClass::Find( const string &fullName ) const
+const CClass *Classes::Find( const string &fullName ) const
 {
 	char AreaName[VN_SIZE] = "";		//オブジェクト変数
@@ -688,5 +688,5 @@
 }
 
-CClass *CDBClass::AddClass( const NamespaceScopes &namespaceScopes, const NamespaceScopesCollection &importedNamespaces, const char *name,int nowLine){
+CClass *Classes::AddClass( const NamespaceScopes &namespaceScopes, const NamespaceScopesCollection &importedNamespaces, const char *name,int nowLine){
 	//////////////////////////////////////////////////////////////////////////
 	// クラスを追加
@@ -735,5 +735,5 @@
 }
 
-void CDBClass::InitNames(void){
+void Classes::InitNames(void){
 	extern char *basbuf;
 	int i, i2;
@@ -741,5 +741,5 @@
 
 	// Blittable型管理オブジェクトを初期化
-	Smoothie::Meta::blittableTypes.clear();
+	Smoothie::meta.blittableTypes.clear();
 
 	// 名前空間管理
@@ -858,12 +858,12 @@
 
 					// Blittable型として登録
-					Smoothie::Meta::blittableTypes.push_back( BlittableType( blittableType, pClass ) );
-				}
-		}
-	}
-}
-
-
-void CDBClass::AddMethod(CClass *pobj_c, Prototype::Accessibility accessibility, BOOL bStatic, bool isConst, bool isAbstract,
+					Smoothie::meta.blittableTypes.push_back( BlittableType( blittableType, pClass ) );
+				}
+		}
+	}
+}
+
+
+void Classes::AddMethod(CClass *pobj_c, Prototype::Accessibility accessibility, BOOL bStatic, bool isConst, bool isAbstract,
 						 bool isVirtual, bool isOverride, char *buffer, int nowLine){
 	int i,i2;
@@ -987,5 +987,5 @@
 }
 
-BOOL CDBClass::MemberVar_LoopRefCheck(const CClass &objClass){
+BOOL Classes::MemberVar_LoopRefCheck(const CClass &objClass){
 	int i2,bRet=1;
 	BOOST_FOREACH( CMember *pMember, objClass.dynamicMembers ){
@@ -1010,5 +1010,5 @@
 }
 
-void CDBClass::GetClass_recur(const char *lpszInheritsClass){
+void Classes::GetClass_recur(const char *lpszInheritsClass){
 	extern char *basbuf;
 	int i,i2,i3,sub_address,top_pos;
@@ -1461,5 +1461,5 @@
 }
 
-void CDBClass::GetAllClassInfo(void){
+void Classes::GetAllClassInfo(void){
 	//ループ継承チェック用のクラス
 	pobj_LoopRefCheck=new CLoopRefCheck();
@@ -1475,5 +1475,5 @@
 }
 
-void CDBClass::Compile_System_InitializeUserTypes(){
+void Classes::Compile_System_InitializeUserTypes(){
 	char temporary[VN_SIZE];
 
@@ -1604,5 +1604,5 @@
 
 
-CClass *CDBClass::GetStringClassPtr() const
+CClass *Classes::GetStringClassPtr() const
 {
 	if( !pStringClass ){
@@ -1612,5 +1612,5 @@
 	return pStringClass;
 }
-CClass *CDBClass::GetObjectClassPtr() const
+CClass *Classes::GetObjectClassPtr() const
 {
 	if( !pObjectClass ){
@@ -1621,5 +1621,5 @@
 }
 
-void CDBClass::StartCompile( UserProc *pUserProc ){
+void Classes::StartCompile( UserProc *pUserProc ){
 	pCompilingClass = pUserProc->GetParentClassPtr();
 	if( pCompilingClass ){
@@ -1638,9 +1638,9 @@
 	}
 }
-const CClass *CDBClass::GetNowCompilingClass() const
+const CClass *Classes::GetNowCompilingClass() const
 {
 	return pCompilingClass;
 }
-const CMethod *CDBClass::GetNowCompilingMethodInfo(){
+const CMethod *Classes::GetNowCompilingMethodInfo(){
 	return pCompilingMethod;
 }
@@ -1653,5 +1653,5 @@
 //////////////////////
 
-void CDBClass::Iterator_Init(void){
+void Classes::Iterator_Init(void){
 	if(ppobj_IteClass) HeapDefaultFree(ppobj_IteClass);
 
@@ -1676,12 +1676,12 @@
 	}
 }
-void CDBClass::Iterator_Reset(void){
+void Classes::Iterator_Reset(void){
 	iIteNextNum = 0;
 }
-BOOL CDBClass::Iterator_HasNext(void){
+BOOL Classes::Iterator_HasNext(void){
 	if(iIteNextNum<iIteMaxNum) return 1;
 	return 0;
 }
-CClass *CDBClass::Iterator_GetNext(void){
+CClass *Classes::Iterator_GetNext(void){
 	CClass *pobj_c;
 	pobj_c=ppobj_IteClass[iIteNextNum];
@@ -1689,5 +1689,5 @@
 	return pobj_c;
 }
-int CDBClass::Iterator_GetMaxCount(void){
+int Classes::Iterator_GetMaxCount(void){
 	return iIteMaxNum;
 }
